com.r3corda.client.model / StateMachineData

# StateMachineData

`data class StateMachineData`

### Constructors

<init> | `StateMachineData(id: StateMachineRunId, protocolStatus: ObservableValue<ProtocolStatus?>, stateMachineStatus: ObservableValue<StateMachineStatus>)`

### Properties

id | `val id: StateMachineRunId`
protocolStatus | `val protocolStatus: ObservableValue<ProtocolStatus?>`
stateMachineStatus | `val stateMachineStatus: ObservableValue<StateMachineStatus>`